unit PhoneBook.Samples.Contacts;

interface

uses
  System.Generics.Collections,
  PhoneBook.Entities.Contacts;

var
  FContacts: TObjectList<TContact>;
  FContactID: Integer;

implementation

uses
  System.SysUtils;

procedure InitializeContacts;
var
  LContact: TContact;
begin
  Inc(FContactID);
  LContact := TContact.Create;
  LContact.Id := FContactID;
  LContact.Name := 'Contact 1';
  LContact.Phone := '0123 45678';
  FContacts.Add(LContact);

  Inc(FContactID);
  LContact := TContact.Create;
  LContact.Id := FContactID;
  LContact.Name := 'Contact 2';
  LContact.Phone := '0123 99999';
  FContacts.Add(LContact);

  Inc(FContactID);
  LContact := TContact.Create;
  LContact.Id := FContactID;
  LContact.Name := 'Contact 3';
  LContact.Phone := '0123 99999';
  FContacts.Add(LContact);
end;

initialization

  FContacts := TObjectList<TContact>.Create;
  FContactID := 0;
  InitializeContacts;

finalization

  if Assigned(FContacts) then
    FreeAndNil(FContacts);

end.
