program PhoneBook.WebApp;

{$APPTYPE CONSOLE}

{$R *.res}

{$R *.dres}

uses
  System.SysUtils,
  System.TypInfo,
  Neon.Core.Types,
  WiRL.Configuration.Neon,
  WiRL.Core.Engine,
  WiRL.http.FileSystemEngine,
  WiRL.http.Server,
  WiRL.http.Server.Indy,
  PhoneBook.Resources.Contacts in 'PhoneBook.Resources.Contacts.pas',
  PhoneBook.Entities.Contacts in 'PhoneBook.Entities.Contacts.pas',
  PhoneBook.Samples.Contacts in 'PhoneBook.Samples.Contacts.pas';

begin
  ReportMemoryLeaksOnShutdown := True;
  try
    var LServer := TWiRLServer.Create(nil);
    try
      LServer
        .SetPort(8080)
        .SetThreadPoolSize(10)
        .AddEngine<TWiRLEngine>('/rest')
          .SetEngineName('Delphi Backend')
          .AddApplication('/app')
            .SetResources('*')
          .Plugin.Configure<IWiRLConfigurationNeon>
            .SetMembers([TNeonMembers.Standard])
            .SetVisibility([mvPublic, mvPublished])
            .SetMemberCase(TNeonCase.SnakeCase);

      LServer
        .AddEngine<TWiRLFileSystemEngine>('/client')
          .SetEngineName('Alpine Frontend');

      LServer.Active := True;
      Writeln('Press ENTER to quit...');
      Readln;
    finally
      LServer.Free;
    end;
  except
    on E: Exception do
      Writeln(E.ClassName, ': ', E.Message);
  end;
end.
