const apiBaseUrl = "http://localhost:8080/rest/app/contacts"

document.addEventListener('alpine:init', () => {
  Alpine.store('app', {
    
    newContact: {
      name: '',
      phone: ''
    },
    
    contacts: [],

    async addNewContact() {
      const response = await fetch(apiBaseUrl, {
        body: JSON.stringify(this.newContact),
        headers: {
          "Content-Type": "application/json",
        },
        method: 'POST'
      })   
      const addedContact = await response.json()
      this.contacts.push(addedContact)
      this.newContact.name = ''
      this.newContact.phone = ''
    },
    
    async deleteContact(contact) {
      const index = this.contacts.indexOf(contact);
      if (index < 0)
        return
      await fetch(`${apiBaseUrl}/${contact.id}`, {
        method: 'DELETE'
      })
      this.contacts.splice(index, 1)
    }
  })
  
})

document.addEventListener('alpine:initialized', async () => {
  const response = await fetch(apiBaseUrl)
  const contacts = await response.json()
  const app = Alpine.store('app')
  app.contacts.push(...contacts)
})