unit Organizer.Helpers.Tasks;

interface

uses
  System.Generics.Collections,
  Organizer.Entities.Task;

type

{ TTaskHelper }

  TTaskHelper = class
  public
    class function GenerateSamples: TObjectList<TTask>;
    class function IndexOfTask(ATaskList: TObjectList<TTask>;
      const AID: TGUID): Integer;
  end;

implementation

uses
  System.SysUtils;

{ TTaskHelper }

class function TTaskHelper.GenerateSamples: TObjectList<TTask>;
begin
  Result := TObjectList<TTask>.Create;
  try
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Do something nice for someone I care about'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Memorize the fifty states and their capitals'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Watch a classic movie'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Contribute code or a monetary donation to an open-source software project'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Solve a Rubik''s cube'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Bake pastries for me and neighbor'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Go see a Broadway production'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Write a thank you letter to an influential person in my life'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Invite some friends over for a game night'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Have a football scrimmage with some friends'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Text a friend I haven''t talked to in a long time'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Organize pantry'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Buy a new house decoration'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Plan a vacation I''ve always wanted to take'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Clean out car'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Draw and color a Mandala'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Create a cookbook with favorite recipes'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Bake a pie with some friends'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Create a compost pile'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Take a hike at a local park'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Take a class at local community center that interests you'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Research a topic interested in'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Plan a trip to another country'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Improve touch typing'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Learn Alpine.js'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Learn calligraphy'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Have a photo session with some friends'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Go to the gym'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Make own LEGO creation'));
    Result.Add(TTask.Create(TGUID.NewGuid,
      'Take cat on a walk'));
  except
    FreeAndNil(Result);
    raise;
  end;
end;

class function TTaskHelper.IndexOfTask(ATaskList: TObjectList<TTask>;
  const AID: TGUID): Integer;
begin
  Result := -1;
  for var LIndex := 0 to ATaskList.Count - 1 do
    if ATaskList[LIndex].ID = AID then
    begin
      Result := LIndex;
      Exit;
    end;
end;

end.
